Name:          python-pexpect
Version:       4.8.0
Release:       4mamba
Summary:       Pexpect is a pure Python Expect. It allows easy control of other applications.
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pexpect.readthedocs.io/en/latest/
Source:        https://pypi.debian.net/pexpect/pexpect-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(ptyprocess)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
Pexpect is a pure Python expect-like module. Pexpect makes Python a better tool for controlling other applications.
Pexpect is a pure Python module for spawning child applications; controlling them; and responding to expected patterns in their output. Pexpect works like Don Libes' Expect. Pexpect allows your script to spawn a child application and control it as if a human were typing commands.
Pexpect can be used for automating interactive applications such as ssh, ftp, passwd, telnet, etc. It can be used to a automate setup scripts for duplicating software package installations on different servers. It can be used for automated software testing. Pexpect is in the spirit of Don Libes' Expect, but Pexpect is pure Python. Unlike other Expect-like modules for Python, Pexpect does not require TCL or Expect nor does it require C extensions to be compiled. It should work on any platform that supports the standard Python pty module. The Pexpect interface was designed to be easy to use.
Send questions to: noah@noah.org Put 'pexpect' in the subject. 

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pexpect-%{version}

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

sed -i "/_async.pyc/d" %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{python_sitearch}/pexpect-%{version}-py*.egg-info

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 4.8.0-4mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Wed Apr 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.0-3mamba
- rebuilt with python 3.10

* Sat Apr 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.0-2mamba
- rebuilt with distdeps

* Thu Feb 06 2020 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Sat Jul 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.0-2mamba
- added py36 package

* Tue May 07 2019 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic version update by autodist

* Sun Sep 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.0-1mamba
- update to 4.6.0

* Sat Jan 27 2018 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2-1mamba
- update to 4.2

* Mon Jul 04 2016 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Sat Nov 14 2015 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Sat Jul 12 2014 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Fri Apr 18 2014 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Thu Feb 06 2014 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Sun Jan 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-1mamba
- update to 3.0

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-3mamba
- python 2.7 mass rebuild

* Mon Oct 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-2mamba
- rebuilt with python 2.6

* Sun Oct 12 2008 gil <puntogil@libero.it> 2.3-1mamba
- package created by autospec
